PoolableConnectionMXBean (Apache Tomcat 10.0.27 API Documentation)

Package org.apache.tomcat.dbcp.dbcp2

## Interface PoolableConnectionMXBean

- All Known Implementing Classes:
    `PoolableConnection`, `PoolableManagedConnection`

      public interface PoolableConnectionMXBean

  Defines the attributes and methods that will be exposed via JMX for `PoolableConnection` instances.
  Since:
    2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clearCachedState()` |
    `void` | `clearWarnings()` |
    `void` | `close()` |
    `boolean` | `getAutoCommit()` |
    `boolean` | `getCacheState()` |
    `java.lang.String` | `getCatalog()` |
    `int` | `getHoldability()` |
    `java.lang.String` | `getSchema()` |
    `java.lang.String` | `getToString()` |
    `int` | `getTransactionIsolation()` |
    `boolean` | `isClosed()` |
    `boolean` | `isReadOnly()` |
    `void` | `reallyClose()` |
    `void` | `setAutoCommit​(boolean autoCommit)` |
    `void` | `setCacheState​(boolean cacheState)` |
    `void` | `setCatalog​(java.lang.String catalog)` |
    `void` | `setHoldability​(int holdability)` |
    `void` | `setReadOnly​(boolean readOnly)` |
    `void` | `setSchema​(java.lang.String schema)` |
    `void` | `setTransactionIsolation​(int level)` |

- - ### Method Detail

    - #### clearCachedState

          void clearCachedState()

    - #### clearWarnings

          void clearWarnings()
                      throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### close

          void close()
              throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getAutoCommit

          boolean getAutoCommit()
                         throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getCacheState

          boolean getCacheState()

    - #### getCatalog

          java.lang.String getCatalog()
                               throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getHoldability

          int getHoldability()
                      throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getSchema

          java.lang.String getSchema()
                              throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getToString

          java.lang.String getToString()

    - #### getTransactionIsolation

          int getTransactionIsolation()
                               throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### isClosed

          boolean isClosed()
                    throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### isReadOnly

          boolean isReadOnly()
                      throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### reallyClose

          void reallyClose()
                    throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### setAutoCommit

          void setAutoCommit​(boolean autoCommit)
                      throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### setCacheState

          void setCacheState​(boolean cacheState)

    - #### setCatalog

          void setCatalog​(java.lang.String catalog)
                   throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### setHoldability

          void setHoldability​(int holdability)
                       throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### setReadOnly

          void setReadOnly​(boolean readOnly)
                    throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### setSchema

          void setSchema​(java.lang.String schema)
                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### setTransactionIsolation

          void setTransactionIsolation​(int level)
                                throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`